#1205 closed defect (fixed)

ECANCELED not defined in errno

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: normal Milestone: 2
Component: tool/newlib Version: unspecified
Severity: normal Keywords:
Cc: jwillemsen@… Blocked By:
Blocking:

Description

+++ This bug was initially created as a clone of Bug #1202 +++

The aio methods describe that there is an error status ECANCELED, on linux this is for example a define in errno.h which is the value 125. See the following link of posix:
http://www.opengroup.org/onlinepubs/009695399/functions/aio_cancel.html

Please add ECANCELED also to the rtems header files

Change History (4)

comment:1 Changed on Jan 2, 2007 at 6:02:28 AM by Johnny Willemsen

Cc: Johnny Willemsen added

comment:2 Changed on Jan 3, 2007 at 7:06:21 AM by Ralf Corsepius

dependson: 1208

comment:3 Changed on Jan 14, 2007 at 3:16:39 AM by Ralf Corsepius

Status: newassigned

comment:4 Changed on Jan 14, 2007 at 3:18:16 AM by Ralf Corsepius

Resolution: fixed
Status: assignedclosed

Replying to comment:5:

Replying to comment:4:

Ralf are you proposing a patch to newlib?

http://sourceware.org/ml/newlib/2007/msg00030.html

Patch merged into latest rtems-4.7 and rtems-4.8 toolchains, but no reaction from upstream newlib so far.

Note: See TracTickets for help on using tickets.